package com.facebook.share.model;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import com.facebook.share.model.SharePhoto.Builder;
import com.tencent.matrix.trace.core.AppMethodBeat;

public final class ShareVideoContent extends ShareContent<ShareVideoContent, Builder> implements ShareModel {
    public static final Creator<ShareVideoContent> CREATOR = new 1();
    private final String contentDescription;
    private final String contentTitle;
    private final SharePhoto previewPhoto;
    private final ShareVideo video;

    private ShareVideoContent(Builder builder) {
        super(builder);
        AppMethodBeat.i(97620);
        this.contentDescription = Builder.access$000(builder);
        this.contentTitle = Builder.access$100(builder);
        this.previewPhoto = Builder.access$200(builder);
        this.video = Builder.access$300(builder);
        AppMethodBeat.o(97620);
    }

    ShareVideoContent(Parcel parcel) {
        super(parcel);
        AppMethodBeat.i(97621);
        this.contentDescription = parcel.readString();
        this.contentTitle = parcel.readString();
        Builder readFrom = new Builder().readFrom(parcel);
        if (readFrom.getImageUrl() == null && readFrom.getBitmap() == null) {
            this.previewPhoto = null;
        } else {
            this.previewPhoto = readFrom.build();
        }
        this.video = new ShareVideo.Builder().readFrom(parcel).build();
        AppMethodBeat.o(97621);
    }

    public final String getContentDescription() {
        return this.contentDescription;
    }

    public final String getContentTitle() {
        return this.contentTitle;
    }

    public final SharePhoto getPreviewPhoto() {
        return this.previewPhoto;
    }

    public final ShareVideo getVideo() {
        return this.video;
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        AppMethodBeat.i(97622);
        super.writeToParcel(parcel, i);
        parcel.writeString(this.contentDescription);
        parcel.writeString(this.contentTitle);
        parcel.writeParcelable(this.previewPhoto, 0);
        parcel.writeParcelable(this.video, 0);
        AppMethodBeat.o(97622);
    }

    static {
        AppMethodBeat.i(97623);
        AppMethodBeat.o(97623);
    }
}
